// Copyright Epic Games, Inc. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Framework/Commands/Commands.h"
#include "RebliumSDKStyle.h"

class FRebliumSDKCommands : public TCommands<FRebliumSDKCommands>
{
public:

	FRebliumSDKCommands()
		: TCommands<FRebliumSDKCommands>(TEXT("RebliumSDK"), NSLOCTEXT("Contexts", "RebliumSDK", "RebliumSDK Plugin"), NAME_None, FRebliumSDKStyle::GetStyleSetName())
	{
	}

	// TCommands<> interface
	virtual void RegisterCommands() override;

public:
	TSharedPtr< FUICommandInfo > PluginAction;
};
